#!/usr/bin/ruby
# encoding: utf-8

require 'gtk2'
# require 'vte'
require "rexml/document"
require 'optparse'

# Constants for positions:

OK_X = 864
OK_Y = 536
CANCEL_X = 728
CANCEL_Y = 536
SETTINGS_X = 592
SETTINGS_Y = 536

lang = ENV['LANGUAGE'][0..1]
lang = ENV['LANG'][0..1] if lang.nil?
lang = "en" if lang.nil?
# @tl = MfsTranslator.new(lang, "forensicgui.xml") 

window = Gtk::Window.new
window.set_size_request(800, 550)
window.border_width = 0
window.window_position = Gtk::Window::POS_CENTER_ALWAYS

window.deletable = false
window.decorated = false
window.allow_grow = false
window.allow_shrink = false
window.title = "ForensicGUI"

fixed = Gtk::Fixed.new

# Layers are stored in a Hash:

layers = Hash.new

# Back button 

backico = Gtk::EventBox.new
backico.add Gtk::Image.new("back_de.png")
backico.signal_connect("button_release_event") {
	layers.each { |k,v| v.hide_all }
	backico.hide_all 
	layers["start"].show_all 
}

# First layer for starting page

bgimg = Gtk::Image.new("background.png")
startfixed = Gtk::Fixed.new
layers["start"] = startfixed 
startfixed.put(bgimg, 0, 0)
wwwico = Gtk::EventBox.new
wwwico.add Gtk::Image.new("tile_www.png")
startfixed.put(wwwico, 52, 120 )
wwwico.signal_connect("button_release_event") {
	layers.each { |k,v| v.hide_all }
	layers["www"].show_all 
	backico.show_all 
}
bankico = Gtk::EventBox.new
bankico.add Gtk::Image.new("tile_bank.png")
startfixed.put(bankico, 288, 120 )
bankico.signal_connect("button_release_event") {
	layers.each { |k,v| v.hide_all }
	layers["bank"].show_all
	backico.show_all 
}
vpnico = Gtk::EventBox.new
vpnico.add Gtk::Image.new("tile_vpn.png")
startfixed.put(vpnico, 524, 120 )
bankico.signal_connect("button_release_event") {
	system("ruby /usr/bin/vpn-assistant.rb &") 
}
mailico = Gtk::EventBox.new
mailico.add Gtk::Image.new("tile_mail.png")
startfixed.put(mailico, 53, 305 )
mailico.signal_connect("button_release_event") {
	system("thunderbird &") 
}
offico = Gtk::EventBox.new
offico.add Gtk::Image.new("tile_office.png")
startfixed.put(offico, 288, 305 )
offico.signal_connect("button_release_event") {
	system("/usr/local/lib/libreoffice/program/soffice &") 
}
passico = Gtk::EventBox.new
passico.add Gtk::Image.new("tile_passwd.png")
startfixed.put(passico, 524, 305 )
passico.signal_connect("button_release_event") {
	system("keepassxc &") 
}
fixed.put(startfixed,0,0)

# Second layer WWW

wwwimg = Gtk::Image.new("bg_www.png")
wwwfixed = Gtk::Fixed.new
layers["www"] = wwwfixed 
wwwfixed.put(wwwimg, 0, 0)
wwwvpnico = Gtk::EventBox.new
wwwvpnico.add Gtk::Image.new("tile_www_vpn.png")
wwwfixed.put(wwwvpnico, 288, 120 )
wwwvpnico.signal_connect("button_release_event") {
	system("ruby /usr/bin/vpn-assistant.rb &") 
}
wwwtorico = Gtk::EventBox.new
wwwtorico.add Gtk::Image.new("tile_www_tor.png")
wwwfixed.put(wwwtorico, 524, 120 )
wwwtorico.signal_connect("button_release_event") {
	system("tor-browser &") 
}
wwwwwwico = Gtk::EventBox.new
wwwwwwico.add Gtk::Image.new("tile_www_www.png")
wwwfixed.put(wwwwwwico, 288, 305 )
wwwwwwico.signal_connect("button_release_event") {
	system("firefox &") 
}
fixed.put(wwwfixed,0,0)

# Third layer bank

bankimg = Gtk::Image.new("bg_bank.png")
bankfixed = Gtk::Fixed.new
layers["bank"] = bankfixed 
bankfixed.put(bankimg, 0, 0)
bankwwwico = Gtk::EventBox.new
bankwwwico.add Gtk::Image.new("tile_bank_www.png")
bankfixed.put(bankwwwico, 288, 120 )
bankwwwico.signal_connect("button_release_event") {
	system("firefox &") 
}
bankappico = Gtk::EventBox.new
bankappico.add Gtk::Image.new("tile_bank_app.png")
bankfixed.put(bankappico, 524, 120 )
bankappico.signal_connect("button_release_event") {
	system("gnucash &") 
}
fixed.put(bankfixed,0,0)

# Fourth layer office

#officeimg = Gtk::Image.new("bg_office.png")
#officefixed = Gtk::Fixed.new
#layers["office"] = officefixed 
#officefixed.put(officeimg, 0, 0)
#fixed.put(officefixed,0,0)

# Back button
fixed.put(backico , 682 , 499 )

window.add fixed
window.signal_connect('destroy') { Gtk.main_quit }
window.show_all 

layers.each { |k,v| v.hide_all }
backico.hide_all 
layers["start"].show_all 

Gtk.main
